Cowdidocs
API ReferenceStatements

List Statements

List the caller's own statements, newest first

GET
/v1/statements

Query Parameters

size?integer

Page size (max 100)

Range0 < value
Default20
after?string

Next page cursor

before?string

Previous page cursor

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/statements"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "TRANSACTION_HISTORY",      "audience": "USER",      "status": "PENDING",      "parameters": {},      "data_as_of": "2019-08-24T14:15:22Z",      "documents": [        {          "format": "CSV",          "status": "PENDING",          "failure_reason": "string",          "failure_code": "TOO_MANY_ROWS"        }      ],      "requested_at": "2019-08-24T14:15:22Z",      "resource_id": "string"    }  ],  "links": {    "next": "string",    "prev": "string"  }}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}